package com.yyrh.factory;

public class SdkFactory {
    private SdkFactory() {
    }

    public static ISdkOperation GetSdk() {
        if (SdkManager.defaultManager().initBean.sdkLogin == 1 && !SdkManager.defaultManager().channelTag.equals("YYRHSDK")) {
            return new ChannelSdkOperation();
        } else {
            return new YyrhSdkOperation();
        }
    }
}
